# SnapshotPublisher

    public struct SnapshotPublisher : Publisher

A `Publisher` that emits an `ObjectSnapshot?` whenever changes occur in the `ObjectPublisher`. The event emits `nil` if the object has been deletd.

See also

ObjectPublisher.reactive.snapshot(emitInitialValue:)

### Publisher

- `Output`

  #### Declaration

  Swift

      public typealias Output = ObjectSnapshot<O>?

- `Failure`

  #### Declaration

  Swift

      public typealias Failure = Never

- `receive(subscriber:)`

  #### Declaration

  Swift

      public func receive<S>(subscriber: S) where S : Subscriber, S.Failure == Never, S.Input == ObjectSnapshot<O>?